FUNCTION triangule, maskentree, BASIC = basic, COINMONTE = coinmonte, COINDESCEND = coindescend, _extra = ex
@common
;
  IF jpi EQ 1 OR jpj EQ 1 THEN return, -1
;
  IF arg_present(coinmonte) THEN coinmonte = 1
  IF arg_present(coindescend) THEN coindescend = 1
;
   if keyword_set(basic) then $
     return, triangule_c(maskentree, /BASIC, COINMONTE = coinmonte $
                         , COINDESCEND = coindescend, _extra = ex)
;
   if n_elements(key_gridtype) EQ 0 then key_gridtype = 'c'
   if n_elements(maskentree) EQ 0 then maskentree = tmask[*, *, 0]
   case key_gridtype of
      'e':res = triangule_e(maskentree, _extra = ex)
      'c':res = triangule_c(maskentree, COINMONTE = coinmonte, COINDESCEND = coindescend, _extra = ex)
   endcase
   return, res
end
